---
customer:
  name: lpctest

  # IAM groups. These groups should be created in LDAP. 
  groups:
    - name: lpctest-helloworld-ota-devonly
    - name: lpctest-helloworld-otap-devops
    - name: lpctest-helloworld-ota-viewer
    - name: lpctest-helloworld-otap-viewer    
      
  rancher:
      projects: 
        - name: lpctest-helloworld-ot
          clusters: 
            - dockerdesktop
          # Note: in the final model we will not do namespaces anymore 
          namespaces:  
            - name: lpctest-helloworld-ontwikkel 
              resourcequota:
                requests.cpu: "0.5"
                requests.memory: "2Gi"
                limits.cpu: "2"
                limits.memory: "2Gi"
                requests.storage: "10Gi"
            - name: lpctest-helloworld-test
              resourcequota:
                requests.cpu: "0.5"
                requests.memory: "2Gi"
                limits.cpu: "2"
                limits.memory: "2Gi"
                requests.storage: "10Gi"
            - name: lpctest-helloworld-kwaliteit
              resourcequota:
                requests.cpu: "0.5"
                requests.memory: "2Gi"
                limits.cpu: "2"
                limits.memory: "2Gi"
                requests.storage: "10Gi"
            - name: lpctest-helloworld-lab
              resourcequota:
                requests.cpu: "0.5"
                requests.memory: "2Gi"
                limits.cpu: "2"
                limits.memory: "2Gi"
                requests.storage: "10Gi"
          resourcequota:
            requests.cpu: "3"
            requests.memory: "24Gi"
            limits.cpu: "24"
            limits.memory: "36Gi"
            requests.storage: "100Gi"
          roles:
            - name: LPC Namespace Manager
              groups:
                - lpctest-helloworld-otap-devops
                - lpctest-helloworld-ota-devonly
            - name: LPC Developer
              groups:
                - lpctest-helloworld-otap-devops
                - lpctest-helloworld-ota-devonly
            - name: LPC Maintainer
              groups:
                - lpctest-helloworld-otap-devops
                - lpctest-helloworld-ota-devonly
            - name: LPC SecretManager
              groups:
                - lpctest-helloworld-otap-devops
                - lpctest-helloworld-ota-devonly
            - name: LPC Viewer
              groups:
                - lpctest-helloworld-otap-viewer
                - lpctest-helloworld-ota-viewer

        - name: lpctest-helloworld-acc
          clusters: 
            - dockerdesktop 
          namespaces: 
            - name: lpctest-helloworld-acceptatie 
            - name: lpctest-helloworld-ketentest
            - name: lpctest-helloworld-acc-lab
          resourcequota:
            requests.cpu: "3"
            requests.memory: "24Gi"
            limits.cpu: "24"
            limits.memory: "32Gi"
            requests.storage: "100Gi"
          roles:
            - name: LPC Namespace Manager
              groups:
                - lpctest-helloworld-otap-devops
                - lpctest-helloworld-ota-devonly
            - name: LPC Developer
              groups:
                - lpctest-helloworld-otap-devops
                - lpctest-helloworld-ota-devonly
            - name: LPC Maintainer
              groups:
                - lpctest-helloworld-otap-devops
                - lpctest-helloworld-ota-devonly
            - name: LPC Viewer
              groups:
                - lpctest-helloworld-otap-viewer
                - lpctest-helloworld-ota-viewer

        - name: lpctest-helloworld-prod
          clusters: 
            - dockerdesktop 
          namespaces: 
            - name: lpctest-helloworld-productie 
          resourcequota:
            requests.cpu: "3"
            requests.memory: "24Gi"
            limits.cpu: "24"
            limits.memory: "32Gi"
            requests.storage: "100Gi"
          roles:
            - name: LPC Namespace Manager
              groups:
                - lpctest-helloworld-otap-devops
            - name: LPC Developer
              groups:
                - lpctest-helloworld-otap-devops
            - name: LPC Maintainer
              groups:
                - lpctest-helloworld-otap-devops
            - name: LPC Viewer
              groups:
                - lpctest-helloworld-otap-viewer

  gitlab:
    groups:
    - name: logius/ab/lpcaccesstest